# to be run at 12:00, starting a new night PV voltage recording etc.
for F in $1.txt
 do
   FN=${F/.txt/}
   YY=`date "+%Y" -d $FN`
   Y=`date "+%y" -d $FN`
   M=`date "+%m" -d $FN`
   DA=`date "+%-d" -d $FN`
   DO=$[$DA-1]
   FD=${FN}d.txt

if `date -d "$FN" | grep CEST > /dev/null`  
 then  
  U=UT2
  UT="UTC+2h (CEST)"
 else
  U=UT1 
  UT="UTC+1h (CET)"
fi

#  /usr/local/bin/planet c10 d$DO.$M.20$Y t12 nb ne i n240 s0.1h ze15 >/tmp/m
  /home/hollan/bin/planet3e c10 d$DO.$M.20$Y t12 $U nb ne k4 nr n240 s0.1h ze0 >/tmp/m
	   
  /home/hollan/bin/sol_heights d$DO.$M.20$Y $U -n0 >/tmp/nold
  /home/hollan/bin/sol_heights d$DA.$M.20$Y $U -n0 >/tmp/nnew

  /usr/local/bin/planet c0 d$DO.$M.20$Y t12 $U nb nr ne i n240 s0.1h ze15 >/tmp/s

echo 'Solar direct horizontal illuminance for ZE = 15 cmag:
' >$FD
 
sed -n "/of the used time/  {N;  s/(.*) of the used time:\nSUN[ ]*// ;
 s/:/ /g; s/$YY-.*at //p} " /tmp/s  >>$FD

echo '

Height of Sun evening / 1 degree: +6 (centre, refracted), 0 (upper rim, refracted), -6, -12, -15, -18:' >>$FD

sed  "/^$YY/{s/$YY............../               5.9/}" /tmp/nold >/tmp/n2old
sed -n "/[0-9]:/p" /tmp/n2old >>$FD

echo '

Height of Sun morning / 1 degree: +6 (centre, refracted), 0 (upper rim, refracted), -6, -12, -15, -18:' >>$FD

sed  "/^$YY/{s/$YY............../               5.9/}" /tmp/nnew >/tmp/n2new
sed -n "/[0-9]:/p" /tmp/n2new >>$FD

echo '

Lunar height and faintess, no atmosphere, no horizon:
' >>$FD

sed -n "/of the used time/  {N;  s/(.*) of the used time:\nMoon[ ]*// ;
 s/:/ /g; s/$YY-.*at //p} " /tmp/m >>$FD


cp night_basic.gnp /tmp/night_basic.gnp

if [ -a ${F/txt/gnp} ] 
then
 sed -r "/set term png size/{s/831,623/1151,863/}" \
 ${F/txt/gnp} >/tmp/night_bas.gnp
 sed  "/set out/{s/\(night|[0-9]{6}\)\.png/night_lg.png/}

5{i\
Ad               = 6.76001       \\
Bd               = 0.181864      \\
Cd               = 3.22308       \\
Dd               = 0.000125618   \\
Ed               = -1.09493e-06  \\
Di(x) = atan((x+Ad)*Bd)*Cd + Dd*(x**2) + Ed*(x**3)\\
# below -6:\\
An              = 7.84728       \\
Bn              = 0.283291      \\
Cn              = 1.52257       \\
Dn              = -0.00776427   \\
En              = -0.000215529  \\
Ni(x) = atan((x+An)*Bn)*Cn + Dn*(x**2) + En*(x**3)
}
   s/\$1>12/\$1>11/
   s/log10(\$7)/\$5>-6 ? Di(\$5) : Ni(\$5)/ 
   s/direct sun, ZE 15 cmag/clear sky sunlight/  
   s/log10(\$8)/(\$5>-6 ? Di(\$5) - (\$8 + 26.8)\/2.5 : (\$5>-20 ? Ni(\$5) -(\$8 + 26.8)\/2.5: 1\/0))/ 
   s/direct moon, ZE 15 cmag/clear sky moonlight/ " \
  /tmp/night_bas.gnp >/tmp/night_basic.gnp 
fi

LC_TIME=C

DN=`date "+%A %Y-%m-%d" -d $FN`

sed -r "
/set out/{s/(night|[0-9]{6})\.png/night_lg.png/} 
s/UTC\+2h \(CEST\)/$UT/
s/from a PV panel.*([\"'])$/ending at $DN noon\1/
s/'Sun at .* -18/'Sunset and Sun at -6, -12 and -18/ 
s/'nold'/'$FD' index 1/ 
s/'nnew'/'$FD' index 2/ 
s/'m.txt'/'$FD' index 3/ 
s/'s.txt'/'$FD' index 0/ 
s/'night.txt'/'$F'/ 
" \
 /tmp/night_basic.gnp >/tmp/night_lg.gnp


gnuplot /tmp/night_lg.gnp

mv night_lg.png $FN.png

 done
