# to be run at 12:00, starting a new night PV voltage recording etc.

   F=$1.txt
   FN=${F/.txt/}
   Y=`date "+%y" -d $FN`
   M=`date "+%m" -d $FN`
   DA=`date "+%-d" -d $FN`
   DO=$[$DA-1]
   FD=${FN}d.txt

if `date -d "$FN" | grep CEST > /dev/null`  
 then  
  U=UT2
  UT="UTC+2h (CEST)"
 else
  U=UT1 
  UT="UTC+1h (CET)"
fi

if [ -a ${F/\.txt/.gnp} ] 
then
# cat ${F/\.txt/.gnp} >/tmp/night_bas_mt.gnp
 cp ${F/txt/gnp} /tmp/night_bas.gnp
 sed  "/set out/{s/\(night|[0-9]{6}\)\.png/night_lg.png/}

5{i\
Ad               = 6.76001       \\
Bd               = 0.181864      \\
Cd               = 3.22308       \\
Dd               = 0.000125618   \\
Ed               = -1.09493e-06  \\
Di(x) = atan((x+Ad)*Bd)*Cd + Dd*(x**2) + Ed*(x**3)\\
# below -6:\\
An              = 7.84728       \\
Bn              = 0.283291      \\
Cn              = 1.52257       \\
Dn              = -0.00776427   \\
En              = -0.000215529  \\
Ni(x) = atan((x+An)*Bn)*Cn + Dn*(x**2) + En*(x**3)
}
   s/\$1>12/\$1>11/
   s/log10(\$7)/\$5>-6 ? Di(\$5) : Ni(\$5)/ 
   s/direct sun, ZE 15 cmag/clear sky sunlight/  
   s/log10(\$8)/(\$5>-6 ? Di(\$5) - (\$8 + 26.8)\/2.5 : (\$5>-20 ? Ni(\$5) -(\$8 + 26.8)\/2.5: 1\/0))/ 
   s/direct moon, ZE 15 cmag/clear sky moonlight/ " \
  /tmp/night_bas.gnp >/tmp/night_bas_mt.gnp 
else
 cat night_bas_sm.gnp >/tmp/night_bas_mt.gnp
fi


LC_TIME=C

DN=`date "+%a %b %d" -d $FN`

sed -r "
 /set term png size/{s/1151,863|831,623|447,335/160,120/}
 s/set grid .*/set grid/ 
 s/set out .*/set out 'night_mt.png'/
 s/UTC\+2h \(CEST\)/$UT/
 /^[[:blank:]]*plot/{i\
 set xlabel '' \\
 set ylabel '' \\
 set format x '' \\
 set format y '' \\
 set tmargin 1 \\
 set bmargin 0 \\
 set lmargin 0 \\
 set rmargin 0 \\
 set title '- $DN' offset 0,-1
 }
 s/'(clear|Sun|PV).*'/''/
s/'nold'/'$FD' index 1/ 
s/'nnew'/'$FD' index 2/ 
s/'m.txt'/'$FD' index 3/ 
s/'s.txt'/'$FD' index 0/ 
/   '' with lines 3,/{s/,.*//}
/'night.txt'/{N; d}
" \
 /tmp/night_bas_mt.gnp >/tmp/night_mt.gnp

 if [ -a $F.gz ]
 then 
  gzip -d $F.gz 
 fi


gnuplot /tmp/night_mt.gnp

#gzip $F

mv night_mt.png tiny/${FN}.png
